package com.care.client.controller;

import com.alibaba.excel.EasyExcelFactory;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.care.bms.service.BmsEventOrderService;
import com.care.client.service.PinanbaoService;
import com.care.common.annotation.Permission;
import com.care.common.enums.OrderStatusEnum;
import com.care.common.exception.BDException;
import com.care.common.util.PageResult;
import com.care.common.util.Result;
import com.care.common.util.WebPageUtils;
import com.care.common.vo.PageReqVO;
import com.care.common.vo.UserLogindConvertVO;
import com.care.common.vo.event.*;
import com.care.common.vo.outcall.CcCallResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.BufferedInputStream;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/5/26
 * @Desc:
 */
@RestController
@Api(value = "EventHandleController")
@Slf4j
@RequestMapping("/pinanbao/event")
public class EventApiController {

    @Resource
    private PinanbaoService pinanbaoService;


    @GetMapping("/hasDoing")
    @ApiOperation(tags = {"首页"},value = "当前进行中的事件")
    public Result<EventOrderVO> getDoingEvent(HttpServletRequest request,@RequestHeader("token") String token,@RequestParam("houseId") Long houseId){
        EventOrderVO orderInfo = this.pinanbaoService.getDoingEvent(houseId);
        return  Result.success("查询成功！",orderInfo);
    }

    @GetMapping("/getEventInfo")
    @ApiOperation(tags = {"事件处理"},value = "某个事件的详细处理记录")
    public Result<List<OrderHandleHisVO>> queryDoHis(HttpServletRequest request, @RequestHeader("token") String token, @RequestParam("orderId") Long orderId){
        return  Result.success("查询成功！",this.pinanbaoService.queryOrderHandleHis(orderId));
    }

}
